> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simpu.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Lookup

> Lookup a Phone



## OpenAPI

````yaml GET /lookup/phone
openapi: 3.0.1
info:
  title: OpenAPI Simpu API
  description: Simpu API Documentation
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.simpu.co
security:
  - apiKeyAuth: []
paths:
  /lookup/phone:
    get:
      description: Lookup a Phone
      requestBody:
        description: Lookup phone object
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LookupPhoneRequest'
        required: true
      responses:
        '200':
          description: Lookup phone response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LookupPhone'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    LookupPhoneRequest:
      required:
        - phone
      type: object
      properties:
        phone:
          description: The phone number to be looked up
          type: string
          example: '2348089672786'
    LookupPhone:
      required:
        - msisdn
      type: object
      properties:
        msisdn:
          description: The phone number looked up
          type: string
          example: '2348089672786'
        operator:
          description: The carrier of the phone number
          type: string
          example: MTN
        country:
          description: The country of the phone number
          type: string
          example: Nigeria
        ported:
          description: The ported status of the phone number
          type: boolean
          example: false
        dnd:
          description: The DND status of the phone number
          type: boolean
          example: false
    Error:
      required:
        - status
        - message
      type: object
      properties:
        status:
          type: integer
          format: int32
          example: 200
        message:
          type: string
          example: Invalid request
        errors:
          type: array
          items:
            type: object
            properties:
              field:
                type: string
                example: name
              message:
                type: string
                example: 'Error in field: ''name'' Field required.'
              type:
                type: string
                example: missing
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: An API key to authenticate requests

````